This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 828778 - Not possible to use the auditing functionality
Not possible to use the auditing functionality
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 5.3.0 GA
Assigned To: tcunning
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 07:07 EDT by Jehudi Castro Sierra
Modified: 2015-03-12 07:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When attempting to use the auditing functionality of jbossesb-1.3.1.xsd, an error would occur. When using the .xsd on jboss-esb.xml files, a message would appear saying "Unsupported schema namespace". This was caused by a missing ModelSchemaParser property. The schema has now been added to the .xsd so users will not encounter this error.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3806 Major Closed Need a ModelSchemaParser for 1.3.1 jbossesb schema 2013-12-19 05:36:15 EST

  None (edit)
Description Jehudi Castro Sierra 2012-06-05 07:07:24 EDT
Description of problem:
I'm trying to use jbossesb-1.3.1.xsd as is the one that have the 'recordRoute' attribute, but when I try to execute it I get a 'Unsupported schema namespace: http://anonsvn.labs.jboss.com/repos/labs/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.3.1.xsd' error


Version-Release number of selected component (if applicable): 5.3.0.ER3


How reproducible: Always


Steps to Reproduce:
1. Use jbossesb-1.3.1.xsd on any jboss-esb.xml file
2. run it
3. see the error on the console.
  
Actual results:
'Unsupported schema namespace: http://anonsvn.labs.jboss.com/repos/labs/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.3.1.xsd' error


Expected results:
No error should be shown.
Comment 3 tcunning 2012-06-07 00:25:22 EDT
I think the issue here is the missing ModelSchemaParser in ER3.   The 1.3.1 schema works fine in the ESB project because it is present there.

Should be retested in ER4.
Comment 4 Suz 2012-06-13 00:24:56 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When attempting to use the auditing functionality of jbossesb-1.3.1.xsd, an error would occur. When using the .xsd on jboss-esb.xml files, a message would appear saying "Unsupported schema namespace". This was caused by a missing ModelSchemaParser property. The schema has now been added to the .xsd so users will not encounter this error.
Comment 5 Jehudi Castro Sierra 2012-06-25 07:31:01 EDT
This was not solved on ER4, I'm still getting the 'Unsupported schema namespace' error
Comment 6 Jehudi Castro Sierra 2012-06-26 05:28:20 EDT
I was using wrong URL for the schema namespace, it should be http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.3.1.xsd

Note You need to log in before you can comment on or make changes to this bug.